package cn.com.countrygarden.bi.main.dao.financial;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.financial.Subbalance;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface SubbalanceMapper extends Mapper<Subbalance> {
	  public void insertOrUpdate(@Param("sub") List<Subbalance> sub);
	  List<Subbalance> selectProjectCost(@Param("codo") String codo, @Param("year") String year, @Param("flag") boolean flag);
	  List<Subbalance> selectRegionCost(@Param("codoList") List<String> codoList, @Param("year") String year, @Param("flag") boolean flag);
	  List<Subbalance> selectHeadquartersCost(@Param("year") String year, @Param("flag") boolean flag);
	  List<Subbalance> selectRegionTaxOutInCome(@Param("codoList") List<String> codoList, @Param("year") String year);
	  List<Subbalance> selectProjectTaxOutInCome(@Param("codo") String codo, @Param("year") String year);
	  List<Subbalance> selectHeadquartersTaxOutInCome(@Param("year") String year);
	  void insertSubbalance(Subbalance sb);
	  List<String> selectCodo();
	  List<Subbalance> selectSubblanceList(@Param("codo") String codo);
	  void insertTempComm(@Param("assvalue") String assvalue, @Param("codo") String codo);
	  List<Subbalance> selectRegionCostForProjectRow(@Param("codoList") List<String> codoList, @Param("year") String year);
	  List<Subbalance> selectProjectInComeForOne(@Param("codo") String codo, @Param("year") String year);
	  List<Subbalance> selectProjectInComeForMany(@Param("codo") String codo, @Param("year") String year);
	  List<Subbalance> selectRegionInCome(@Param("codoList") List<String> codoList, @Param("year") String year);
	  List<Subbalance> selectHeadquartersInCome(@Param("year") String year);

	void deleteSubbalance(@Param("year") String year, @Param("month") String month);

}